package core

import (
	"git.akyoto.dev/cli/q/src/build/ast"
)

// CompileReturn compiles a return instruction.
func (f *Function) CompileReturn(node *ast.Return) error {
	defer f.Return()

	if len(node.Values) == 0 {
		return nil
	}

	return f.ExpressionsToRegisters(node.Values, f.CPU.Output)
}
